Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
development-boards
White Label Admin - Add a development board to a whitelabel
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/development-boards \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "image": "<string>",
  "docsUrl": "<string>"
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/development-boards"

payload = {
"name": "<string>",
"image": "<string>",
"docsUrl": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', image: '<string>', docsUrl: '<string>'})
};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/development-boards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 123,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

Body

application/json
name
string
required
image
string
required
docsUrl
string
required

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Unique identifier of the created entity.

error
string

Optional error description (set if 'success' was false)